SPEAKER-TEST(1)

NAME
speaker-test - command-line speaker test tone generator for ALSA

SYNOPSIS
speaker-test [-D|--device FILE] [-r|--rate RATE] [-c|--channels NUM] [-f|--frequency FREQ] [-p|--period TIME] [-n|--noise TIME] [-s|--speaker 1|2]

speaker-test --help

DESCRIPTION
speaker-test generates a tone that can be used to test the speakers of a computer.

OPTIONS

-c | --channels NUM
    NUM channels in stream

-D | --device NAME
    PCM device name NAME

-f | --frequency FREQ
    sine wave of FREQ Hz

--help
    Print usage help

-p | --period TIME
    period size of TIME microseconds

-r | --rate RATE
    stream of RATE Hz

-t | --test 1|2
    -t1 means use pink noise (default). Pink noise is perceptually uniform noise - that is, it sounds like every frequency at once. If you can hear any tone it may indicate resonances in your speaker system or room. -t2 means use sine wave.

-s | --speaker 1|2
    Test speaker 1 or speaker 2 only, rather than both

USAGE EXAMPLES
Produce stereo sound from one stereo jack:
      speaker-test -Dplug:front -c2
Produce 4 speaker sound from two stereo jacks:
      speaker-test -Dplug:surround40 -c4
Produce 5.1 speaker sound from three stereo jacks:
      speaker-test -Dplug:surround51 -c6
To send a nice low 75Hz tone to the Woofer and then exit without touching any other speakers:
      speaker-test -Dplug:surround51 -c6 -s1 -f75

AUTHOR
The speaker-test program was written by James Courtier-Dutton. Pink noise support was added by Nathan Hurst.